package com.bonus.canteen.core.menu.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

@ApiModel("下发菜谱")
public class IssueRecipeVO implements Serializable {
   @ApiModelProperty("菜谱类型")
   private Integer recipeType;
   @ApiModelProperty("每日菜谱详情")
   private List<IssueRecipeDateVO> dateList;
   @ApiModelProperty("所有菜品列表")
   private List<IssueRecipeMealVO> mealList;

   public Integer getRecipeType() {
      return this.recipeType;
   }

   public List<IssueRecipeDateVO> getDateList() {
      return this.dateList;
   }

   public List<IssueRecipeMealVO> getMealList() {
      return this.mealList;
   }

   public void setRecipeType(final Integer recipeType) {
      this.recipeType = recipeType;
   }

   public void setDateList(final List<IssueRecipeDateVO> dateList) {
      this.dateList = dateList;
   }

   public void setMealList(final List<IssueRecipeMealVO> mealList) {
      this.mealList = mealList;
   }
}
